<?php
/*
===========================用户控制器
^^^^^^^^^^^^^^^^^^成员
------添加(on_insert)
------修改(on_update)
------删除(on_del)

*/
class cls_tab_hr_resume_view extends cls_base_table
{
	private $obj_db;
	//构造函数
	function __construct()
	{
		global $obj_db;
		parent::__construct();
		$this->obj_db=$obj_db;
	}
	/*添加
	arr_fields:关健字数组
	*/
	function on_save($arr_fields,$str_where="")
	{
		$arr_return=array("err"=>"","id"=>0);
		//保存操作
		if(isset($arr_fields["view_id"])) unset($arr_fields["view_id"]);//释放id
		$arr_fields["view_addtime"]=TIME;
		$arr_fields["view_ip"]=get_user_ip();
		$arr_return=self::_insert($arr_fields);
		return $arr_return;
	}
	function _insert($arr_fields)
	{
		$arr_return=array("err"=>"","id"=>0);
		if(!isset($arr_fields["view_company_id"])||intval($arr_fields["view_company_id"])<1){
			$arr_return["err"]="企业不存在！";
			return $arr_return;
		}
		if(!isset($arr_fields["view_resume_id"])||intval($arr_fields["view_resume_id"])<1){
			$arr_return["err"]="人才不存在！";
			return $arr_return;
		}
		$arr_return=parent::on_insert(DB_PRE."hr_resume_view",$arr_fields);
		return $arr_return;
	}
	function on_del($arr_id)
	{
		$arr_return=array("err"=>"");
		$str_id=get_arr_id($arr_id);
		if($str_id==""){
			$arr_return["err"]="没有指定要删除的记录！";
			return $arr_return;
		}
		$arr_return=parent::on_del(DB_PRE."hr_resume_view","view_id in(".$str_id.")");

		return $arr_return;
	}
}
?>
